All products now Mac OS 10.15 Catalina compatible

Published on  

All of our desktop software is now Mac OS 10.15 Catalina compatible.

Previously, security restrictions prevented the installation of DRCUBRIDGEK7D, and DLYM on mac systems running Mac OS 10.15. This issue has now been resolved.

To install on Catalina, simply download and run the latest installer file for each product, from the respective download page on our website.

If you have any questions, or need further information, please get in touch via our contact page.

Thank you for your patience and understanding,
Team Imaginando

latest news
Signup for News, Products and Promotions.
Successfully subscribed to newsletter ✓
Failed to subscribe to newsletter ✗